vsg: vsg::ArrayState Class Reference

vsg 1.1.10 VulkanSceneGraph library |

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
vsg::ArrayState Class Reference

`#include <ArrayState.h>`

Inheritance diagram for vsg::ArrayState:
[legend]
Collaboration diagram for vsg::ArrayState:
[legend]

## Classes
struct | AttributeDetails

## Public Member Functions
| ArrayState (const ArrayState &rhs, const CopyOp &copyop={})
virtual ref_ptr< ArrayState > | cloneArrayState ()
| clone self
virtual ref_ptr< ArrayState > | cloneArrayState (ref_ptr< ArrayState > arrayState)
bool | getAttributeDetails (const VertexInputState &vas, uint32_t location, AttributeDetails &attributeDetails)
void | apply (const BindGraphicsPipeline &bpg) override
void | apply (const VertexInputState &vas) override
void | apply (const InputAssemblyState &ias) override
void | apply (const Geometry &geometry) override
void | apply (const VertexDraw &vid) override
void | apply (const VertexIndexDraw &vid) override
void | apply (const BindVertexBuffers &bvb) override
void | apply (const BufferInfo &bufferInfo) override
void | apply (const vec3Array &array) override
void | apply (const Data &array) override
virtual void | applyArrays (uint32_t firstBinding, const BufferInfoList &in_arrays)
virtual void | applyArrays (uint32_t firstBinding, const DataList &in_arrays)
virtual ref_ptr< const vec3Array > | vertexArray (uint32_t instanceIndex)
virtual void | apply (const Object &)
virtual void | apply (const Objects &)
virtual void | apply (const External &)
virtual void | apply (const stringValue &)
virtual void | apply (const wstringValue &)
virtual void | apply (const boolValue &)
virtual void | apply (const intValue &)
virtual void | apply (const uintValue &)
virtual void | apply (const floatValue &)
virtual void | apply (const doubleValue &)
virtual void | apply (const vec2Value &)
virtual void | apply (const vec3Value &)
virtual void | apply (const vec4Value &)
virtual void | apply (const dvec2Value &)
virtual void | apply (const dvec3Value &)
virtual void | apply (const dvec4Value &)
virtual void | apply (const bvec2Value &)
virtual void | apply (const bvec3Value &)
virtual void | apply (const bvec4Value &)
virtual void | apply (const ubvec2Value &)
virtual void | apply (const ubvec3Value &)
virtual void | apply (const ubvec4Value &)
virtual void | apply (const svec2Value &)
virtual void | apply (const svec3Value &)
virtual void | apply (const svec4Value &)
virtual void | apply (const usvec2Value &)
virtual void | apply (const usvec3Value &)
virtual void | apply (const usvec4Value &)
virtual void | apply (const ivec2Value &)
virtual void | apply (const ivec3Value &)
virtual void | apply (const ivec4Value &)
virtual void | apply (const uivec2Value &)
virtual void | apply (const uivec3Value &)
virtual void | apply (const uivec4Value &)
virtual void | apply (const mat4Value &)
virtual void | apply (const dmat4Value &)
virtual void | apply (const byteArray &)
virtual void | apply (const ubyteArray &)
virtual void | apply (const shortArray &)
virtual void | apply (const ushortArray &)
virtual void | apply (const intArray &)
virtual void | apply (const uintArray &)
virtual void | apply (const floatArray &)
virtual void | apply (const doubleArray &)
virtual void | apply (const vec2Array &)
virtual void | apply (const vec4Array &)
virtual void | apply (const dvec2Array &)
virtual void | apply (const dvec3Array &)
virtual void | apply (const dvec4Array &)
virtual void | apply (const bvec2Array &)
virtual void | apply (const bvec3Array &)
virtual void | apply (const bvec4Array &)
virtual void | apply (const svec2Array &)
virtual void | apply (const svec3Array &)
virtual void | apply (const svec4Array &)
virtual void | apply (const ivec2Array &)
virtual void | apply (const ivec3Array &)
virtual void | apply (const ivec4Array &)
virtual void | apply (const ubvec2Array &)
virtual void | apply (const ubvec3Array &)
virtual void | apply (const ubvec4Array &)
virtual void | apply (const usvec2Array &)
virtual void | apply (const usvec3Array &)
virtual void | apply (const usvec4Array &)
virtual void | apply (const uivec2Array &)
virtual void | apply (const uivec3Array &)
virtual void | apply (const uivec4Array &)
virtual void | apply (const mat4Array &)
virtual void | apply (const dmat4Array &)
virtual void | apply (const block64Array &)
virtual void | apply (const block128Array &)
virtual void | apply (const byteArray2D &)
virtual void | apply (const ubyteArray2D &)
virtual void | apply (const shortArray2D &)
virtual void | apply (const ushortArray2D &)
virtual void | apply (const intArray2D &)
virtual void | apply (const uintArray2D &)
virtual void | apply (const floatArray2D &)
virtual void | apply (const doubleArray2D &)
virtual void | apply (const vec2Array2D &)
virtual void | apply (const vec3Array2D &)
virtual void | apply (const vec4Array2D &)
virtual void | apply (const dvec2Array2D &)
virtual void | apply (const dvec3Array2D &)
virtual void | apply (const dvec4Array2D &)
virtual void | apply (const bvec2Array2D &)
virtual void | apply (const bvec3Array2D &)
virtual void | apply (const bvec4Array2D &)
virtual void | apply (const svec2Array2D &)
virtual void | apply (const svec3Array2D &)
virtual void | apply (const svec4Array2D &)
virtual void | apply (const ivec2Array2D &)
virtual void | apply (const ivec3Array2D &)
virtual void | apply (const ivec4Array2D &)
virtual void | apply (const ubvec2Array2D &)
virtual void | apply (const ubvec3Array2D &)
virtual void | apply (const ubvec4Array2D &)
virtual void | apply (const usvec2Array2D &)
virtual void | apply (const usvec3Array2D &)
virtual void | apply (const usvec4Array2D &)
virtual void | apply (const uivec2Array2D &)
virtual void | apply (const uivec3Array2D &)
virtual void | apply (const uivec4Array2D &)
virtual void | apply (const block64Array2D &)
virtual void | apply (const block128Array2D &)
virtual void | apply (const byteArray3D &)
virtual void | apply (const ubyteArray3D &)
virtual void | apply (const shortArray3D &)
virtual void | apply (const ushortArray3D &)
virtual void | apply (const intArray3D &)
virtual void | apply (const uintArray3D &)
virtual void | apply (const floatArray3D &)
virtual void | apply (const doubleArray3D &)
virtual void | apply (const vec2Array3D &)
virtual void | apply (const vec3Array3D &)
virtual void | apply (const vec4Array3D &)
virtual void | apply (const dvec2Array3D &)
virtual void | apply (const dvec3Array3D &)
virtual void | apply (const dvec4Array3D &)
virtual void | apply (const ubvec2Array3D &)
virtual void | apply (const ubvec3Array3D &)
virtual void | apply (const ubvec4Array3D &)
virtual void | apply (const block64Array3D &)
virtual void | apply (const block128Array3D &)
virtual void | apply (const Node &)
virtual void | apply (const Compilable &)
virtual void | apply (const Commands &)
virtual void | apply (const Group &)
virtual void | apply (const QuadGroup &)
virtual void | apply (const LOD &)
virtual void | apply (const PagedLOD &)
virtual void | apply (const StateGroup &)
virtual void | apply (const CullGroup &)
virtual void | apply (const CullNode &)
virtual void | apply (const Transform &)
virtual void | apply (const MatrixTransform &)
virtual void | apply (const CoordinateFrame &)
virtual void | apply (const DepthSorted &)
virtual void | apply (const Layer &)
virtual void | apply (const Bin &)
virtual void | apply (const Switch &)
virtual void | apply (const Light &)
virtual void | apply (const AmbientLight &)
virtual void | apply (const DirectionalLight &)
virtual void | apply (const PointLight &)
virtual void | apply (const SpotLight &)
virtual void | apply (const InstrumentationNode &)
virtual void | apply (const RegionOfInterest &)
virtual void | apply (const Text &)
virtual void | apply (const TextGroup &)
virtual void | apply (const TextTechnique &)
virtual void | apply (const TextLayout &)
virtual void | apply (const Animation &)
virtual void | apply (const AnimationGroup &)
virtual void | apply (const AnimationSampler &)
virtual void | apply (const JointSampler &)
virtual void | apply (const MorphSampler &)
virtual void | apply (const TransformSampler &)
virtual void | apply (const CameraSampler &)
virtual void | apply (const Joint &)
virtual void | apply (const ImageInfo &)
virtual void | apply (const ImageView &)
virtual void | apply (const Image &)
virtual void | apply (const Command &)
virtual void | apply (const StateCommand &)
virtual void | apply (const StateSwitch &)
virtual void | apply (const CommandBuffer &)
virtual void | apply (const RenderPass &)
virtual void | apply (const BindDescriptorSet &)
virtual void | apply (const BindDescriptorSets &)
virtual void | apply (const BindViewDescriptorSets &)
virtual void | apply (const Descriptor &)
virtual void | apply (const DescriptorBuffer &)
virtual void | apply (const DescriptorImage &)
virtual void | apply (const DescriptorSet &)
virtual void | apply (const BindIndexBuffer &)
virtual void | apply (const BindComputePipeline &)
virtual void | apply (const BindRayTracingPipeline &)
virtual void | apply (const GraphicsPipeline &)
virtual void | apply (const ComputePipeline &)
virtual void | apply (const RayTracingPipeline &)
virtual void | apply (const GraphicsPipelineState &)
virtual void | apply (const ShaderStage &)
virtual void | apply (const TessellationState &)
virtual void | apply (const ViewportState &)
virtual void | apply (const RasterizationState &)
virtual void | apply (const MultisampleState &)
virtual void | apply (const DepthStencilState &)
virtual void | apply (const ColorBlendState &)
virtual void | apply (const DynamicState &)
virtual void | apply (const ResourceHints &)
virtual void | apply (const Draw &)
virtual void | apply (const DrawIndexed &)
virtual void | apply (const ClearAttachments &)
virtual void | apply (const ClearColorImage &)
virtual void | apply (const ClearDepthStencilImage &)
virtual void | apply (const QueryPool &)
virtual void | apply (const ResetQueryPool &)
virtual void | apply (const BeginQuery &)
virtual void | apply (const EndQuery &)
virtual void | apply (const WriteTimestamp &)
virtual void | apply (const CopyQueryPoolResults &)
virtual void | apply (const DrawMeshTasks &)
virtual void | apply (const DrawMeshTasksIndirect &)
virtual void | apply (const DrawMeshTasksIndirectCount &)
virtual void | apply (const UIEvent &)
virtual void | apply (const WindowEvent &)
virtual void | apply (const ExposeWindowEvent &)
virtual void | apply (const ConfigureWindowEvent &)
virtual void | apply (const CloseWindowEvent &)
virtual void | apply (const FocusInEvent &)
virtual void | apply (const FocusOutEvent &)
virtual void | apply (const KeyEvent &)
virtual void | apply (const KeyPressEvent &)
virtual void | apply (const KeyReleaseEvent &)
virtual void | apply (const PointerEvent &)
virtual void | apply (const ButtonPressEvent &)
virtual void | apply (const ButtonReleaseEvent &)
virtual void | apply (const MoveEvent &)
virtual void | apply (const TouchEvent &)
virtual void | apply (const TouchDownEvent &)
virtual void | apply (const TouchUpEvent &)
virtual void | apply (const TouchMoveEvent &)
virtual void | apply (const ScrollWheelEvent &)
virtual void | apply (const TerminateEvent &)
virtual void | apply (const FrameEvent &)
virtual void | apply (const ShaderCompileSettings &)
virtual void | apply (const Camera &)
virtual void | apply (const CommandGraph &)
virtual void | apply (const SecondaryCommandGraph &)
virtual void | apply (const RenderGraph &)
virtual void | apply (const View &)
virtual void | apply (const Viewer &)
virtual void | apply (const ViewMatrix &)
virtual void | apply (const LookAt &)
virtual void | apply (const LookDirection &)
virtual void | apply (const RelativeViewMatrix &)
virtual void | apply (const TrackingViewMatrix &)
virtual void | apply (const ProjectionMatrix &)
virtual void | apply (const Perspective &)
virtual void | apply (const Orthographic &)
virtual void | apply (const RelativeProjection &)
virtual void | apply (const EllipsoidPerspective &)
virtual void | apply (const FrameStamp &)
Public Member Functions inherited from vsg::Inherit< ConstVisitor, ArrayState >
| Inherit (Args &&... args)
std::size_t | sizeofObject () const noexcept override
const char * | className () const noexcept override
const std::type_info & | type_info () const noexcept override
bool | is_compatible (const std::type_info &type) const noexcept override
int | compare (const Object &rhs) const override
void | accept (Visitor &visitor) override
void | accept (ConstVisitor &visitor) const override
void | accept (RecordTraversal &visitor) const override
Public Member Functions inherited from vsg::ConstVisitor
| ConstVisitor (const ConstVisitor &rhs, const CopyOp &copyop={})
virtual Instrumentation * | getInstrumentation ()
Public Member Functions inherited from vsg::Object
| Object (const Object &object, const CopyOp &copyop={})
Object & | operator= (const Object &)
template<class T>
T * | cast ()
template<class T>
const T * | cast () const
virtual ref_ptr< Object > | clone (const CopyOp &copyop={}) const
virtual void | traverse (Visitor &)
virtual void | traverse (ConstVisitor &) const
virtual void | traverse (RecordTraversal &) const
virtual void | read (Input &input)
virtual void | write (Output &output) const
void | ref () const noexcept
void | unref () const noexcept
void | unref_nodelete () const noexcept
unsigned int | referenceCount () const noexcept
template<typename T>
void | setValue (const std::string &key, const T &value)
void | setValue (const std::string &key, const char *value)
| specialization of setValue to handle passing C strings
template<typename T>
bool | getValue (const std::string &key, T &value) const
| get specified value type, return false if value associated with key is not assigned or is not the correct type
void | setObject (const std::string &key, ref_ptr< Object > object)
| assign an Object associated with key
Object * | getObject (const std::string &key)
| get Object pointer associated with key, return nullptr if no object associated with key has been assigned
const Object * | getObject (const std::string &key) const
| get const Object pointer associated with key, return nullptr if no object associated with key has been assigned
template<class T>
T * | getObject (const std::string &key)
| get object pointer of specified type associated with key, return nullptr if no object associated with key has been assigned
template<class T>
const T * | getObject (const std::string &key) const
| get const object pointer of specified type associated with key, return nullptr if no object associated with key has been assigned
ref_ptr< Object > | getRefObject (const std::string &key)
| get ref_ptr<Object> associated with key, return nullptr if no object associated with key has been assigned
ref_ptr< const Object > | getRefObject (const std::string &key) const
| get ref_ptr<const Object> pointer associated with key, return nullptr if no object associated with key has been assigned
template<class T>
ref_ptr< T > | getRefObject (const std::string &key)
| get ref_ptr<T> of specified type associated with key, return nullptr if no object associated with key has been assigned
template<class T>
const ref_ptr< const T > | getRefObject (const std::string &key) const
| get ref_ptr<const T> of specified type associated with key, return nullptr if no object associated with key has been assigned
void | removeObject (const std::string &key)
| remove meta object or value associated with key
Auxiliary * | getOrCreateAuxiliary ()
Auxiliary * | getAuxiliary ()
const Auxiliary * | getAuxiliary () const

## Public Attributes
std::vector< dmat4 > | localToWorldStack
std::vector< dmat4 > | worldToLocalStack
VkPrimitiveTopology | topology = VK_PRIMITIVE_TOPOLOGY_TRIANGLE_LIST
uint32_t | vertex_attribute_location = 0
AttributeDetails | vertexAttribute
ref_ptr< const vec3Array > | vertices
ref_ptr< vec3Array > | proxy_vertices
DataList | arrays
Public Attributes inherited from vsg::ConstVisitor
Mask | traversalMask = MASK_ALL
Mask | overrideMask = MASK_OFF

## Additional Inherited Members
Static Public Member Functions inherited from vsg::Inherit< ConstVisitor, ArrayState >
static ref_ptr< ArrayState > | create (Args &&... args)
static ref_ptr< ArrayState > | create_if (bool flag, Args &&... args)
Static Public Member Functions inherited from vsg::Object
static ref_ptr< Object > | create ()
static ref_ptr< Object > | create_if (bool flag)
static void * | operator new (std::size_t count)
| provide new and delete to enable custom memory management via the vsg::Allocator singleton, using the MEMORY_AFFINTY_OBJECTS
static void | operator delete (void *ptr)
Protected Member Functions inherited from vsg::Object
virtual void | _attemptDelete () const
void | setAuxiliary (Auxiliary *auxiliary)

## Detailed Description

ArrayState base class provides a mechanism for CPU mapping of array data that is processed in novel ways on the GPU. Assigned to StateGroup with an associated GraphicsPipeline that uses vertex shaders with novel vertex processing, and used during traversals such as ComputeBounds and Intersector.

## Member Function Documentation

## ◆ apply() [1/254]

virtual void vsg::ConstVisitor::apply | ( | const AmbientLight & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [2/254]

virtual void vsg::ConstVisitor::apply | ( | const Animation & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [3/254]

virtual void vsg::ConstVisitor::apply | ( | const AnimationGroup & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [4/254]

virtual void vsg::ConstVisitor::apply | ( | const AnimationSampler & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [5/254]

virtual void vsg::ConstVisitor::apply | ( | const BeginQuery & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [6/254]

virtual void vsg::ConstVisitor::apply | ( | const Bin & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [7/254]

virtual void vsg::ConstVisitor::apply | ( | const BindComputePipeline & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [8/254]

virtual void vsg::ConstVisitor::apply | ( | const BindDescriptorSet & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [9/254]

virtual void vsg::ConstVisitor::apply | ( | const BindDescriptorSets & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [10/254]

void vsg::ArrayState::apply | ( | const BindGraphicsPipeline & | bpg | ) |
| overridevirtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [11/254]

virtual void vsg::ConstVisitor::apply | ( | const BindIndexBuffer & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [12/254]

virtual void vsg::ConstVisitor::apply | ( | const BindRayTracingPipeline & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [13/254]

void vsg::ArrayState::apply | ( | const BindVertexBuffers & | bvb | ) |
| overridevirtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [14/254]

virtual void vsg::ConstVisitor::apply | ( | const BindViewDescriptorSets & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [15/254]

virtual void vsg::ConstVisitor::apply | ( | const block128Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [16/254]

virtual void vsg::ConstVisitor::apply | ( | const block128Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [17/254]

virtual void vsg::ConstVisitor::apply | ( | const block128Array3D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [18/254]

virtual void vsg::ConstVisitor::apply | ( | const block64Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [19/254]

virtual void vsg::ConstVisitor::apply | ( | const block64Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [20/254]

virtual void vsg::ConstVisitor::apply | ( | const block64Array3D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [21/254]

virtual void vsg::ConstVisitor::apply | ( | const boolValue & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [22/254]

void vsg::ArrayState::apply | ( | const BufferInfo & | bufferInfo | ) |
| overridevirtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [23/254]

virtual void vsg::ConstVisitor::apply | ( | const ButtonPressEvent & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [24/254]

virtual void vsg::ConstVisitor::apply | ( | const ButtonReleaseEvent & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [25/254]

virtual void vsg::ConstVisitor::apply | ( | const bvec2Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [26/254]

virtual void vsg::ConstVisitor::apply | ( | const bvec2Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [27/254]

virtual void vsg::ConstVisitor::apply | ( | const bvec2Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [28/254]

virtual void vsg::ConstVisitor::apply | ( | const bvec3Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [29/254]

virtual void vsg::ConstVisitor::apply | ( | const bvec3Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [30/254]

virtual void vsg::ConstVisitor::apply | ( | const bvec3Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [31/254]

virtual void vsg::ConstVisitor::apply | ( | const bvec4Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [32/254]

virtual void vsg::ConstVisitor::apply | ( | const bvec4Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [33/254]

virtual void vsg::ConstVisitor::apply | ( | const bvec4Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [34/254]

virtual void vsg::ConstVisitor::apply | ( | const byteArray & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [35/254]

virtual void vsg::ConstVisitor::apply | ( | const byteArray2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [36/254]

virtual void vsg::ConstVisitor::apply | ( | const byteArray3D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [37/254]

virtual void vsg::ConstVisitor::apply | ( | const Camera & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [38/254]

virtual void vsg::ConstVisitor::apply | ( | const CameraSampler & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [39/254]

virtual void vsg::ConstVisitor::apply | ( | const ClearAttachments & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [40/254]

virtual void vsg::ConstVisitor::apply | ( | const ClearColorImage & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [41/254]

virtual void vsg::ConstVisitor::apply | ( | const ClearDepthStencilImage & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [42/254]

virtual void vsg::ConstVisitor::apply | ( | const CloseWindowEvent & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [43/254]

virtual void vsg::ConstVisitor::apply | ( | const ColorBlendState & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [44/254]

virtual void vsg::ConstVisitor::apply | ( | const Command & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [45/254]

virtual void vsg::ConstVisitor::apply | ( | const CommandBuffer & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [46/254]

virtual void vsg::ConstVisitor::apply | ( | const CommandGraph & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [47/254]

virtual void vsg::ConstVisitor::apply | ( | const Commands & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [48/254]

virtual void vsg::ConstVisitor::apply | ( | const Compilable & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [49/254]

virtual void vsg::ConstVisitor::apply | ( | const ComputePipeline & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [50/254]

virtual void vsg::ConstVisitor::apply | ( | const ConfigureWindowEvent & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [51/254]

virtual void vsg::ConstVisitor::apply | ( | const CoordinateFrame & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [52/254]

virtual void vsg::ConstVisitor::apply | ( | const CopyQueryPoolResults & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [53/254]

virtual void vsg::ConstVisitor::apply | ( | const CullGroup & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [54/254]

virtual void vsg::ConstVisitor::apply | ( | const CullNode & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [55/254]

void vsg::ArrayState::apply | ( | const Data & | array | ) |
| overridevirtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [56/254]

virtual void vsg::ConstVisitor::apply | ( | const DepthSorted & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [57/254]

virtual void vsg::ConstVisitor::apply | ( | const DepthStencilState & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [58/254]

virtual void vsg::ConstVisitor::apply | ( | const Descriptor & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [59/254]

virtual void vsg::ConstVisitor::apply | ( | const DescriptorBuffer & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [60/254]

virtual void vsg::ConstVisitor::apply | ( | const DescriptorImage & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [61/254]

virtual void vsg::ConstVisitor::apply | ( | const DescriptorSet & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [62/254]

virtual void vsg::ConstVisitor::apply | ( | const DirectionalLight & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [63/254]

virtual void vsg::ConstVisitor::apply | ( | const dmat4Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [64/254]

virtual void vsg::ConstVisitor::apply | ( | const dmat4Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [65/254]

virtual void vsg::ConstVisitor::apply | ( | const doubleArray & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [66/254]

virtual void vsg::ConstVisitor::apply | ( | const doubleArray2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [67/254]

virtual void vsg::ConstVisitor::apply | ( | const doubleArray3D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [68/254]

virtual void vsg::ConstVisitor::apply | ( | const doubleValue & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [69/254]

virtual void vsg::ConstVisitor::apply | ( | const Draw & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [70/254]

virtual void vsg::ConstVisitor::apply | ( | const DrawIndexed & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [71/254]

virtual void vsg::ConstVisitor::apply | ( | const DrawMeshTasks & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [72/254]

virtual void vsg::ConstVisitor::apply | ( | const DrawMeshTasksIndirect & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [73/254]

virtual void vsg::ConstVisitor::apply | ( | const DrawMeshTasksIndirectCount & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [74/254]

virtual void vsg::ConstVisitor::apply | ( | const dvec2Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [75/254]

virtual void vsg::ConstVisitor::apply | ( | const dvec2Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [76/254]

virtual void vsg::ConstVisitor::apply | ( | const dvec2Array3D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [77/254]

virtual void vsg::ConstVisitor::apply | ( | const dvec2Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [78/254]

virtual void vsg::ConstVisitor::apply | ( | const dvec3Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [79/254]

virtual void vsg::ConstVisitor::apply | ( | const dvec3Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [80/254]

virtual void vsg::ConstVisitor::apply | ( | const dvec3Array3D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [81/254]

virtual void vsg::ConstVisitor::apply | ( | const dvec3Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [82/254]

virtual void vsg::ConstVisitor::apply | ( | const dvec4Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [83/254]

virtual void vsg::ConstVisitor::apply | ( | const dvec4Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [84/254]

virtual void vsg::ConstVisitor::apply | ( | const dvec4Array3D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [85/254]

virtual void vsg::ConstVisitor::apply | ( | const dvec4Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [86/254]

virtual void vsg::ConstVisitor::apply | ( | const DynamicState & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [87/254]

virtual void vsg::ConstVisitor::apply | ( | const EllipsoidPerspective & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [88/254]

virtual void vsg::ConstVisitor::apply | ( | const EndQuery & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [89/254]

virtual void vsg::ConstVisitor::apply | ( | const ExposeWindowEvent & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [90/254]

virtual void vsg::ConstVisitor::apply | ( | const External & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [91/254]

virtual void vsg::ConstVisitor::apply | ( | const floatArray & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [92/254]

virtual void vsg::ConstVisitor::apply | ( | const floatArray2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [93/254]

virtual void vsg::ConstVisitor::apply | ( | const floatArray3D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [94/254]

virtual void vsg::ConstVisitor::apply | ( | const floatValue & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [95/254]

virtual void vsg::ConstVisitor::apply | ( | const FocusInEvent & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [96/254]

virtual void vsg::ConstVisitor::apply | ( | const FocusOutEvent & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [97/254]

virtual void vsg::ConstVisitor::apply | ( | const FrameEvent & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [98/254]

virtual void vsg::ConstVisitor::apply | ( | const FrameStamp & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [99/254]

void vsg::ArrayState::apply | ( | const Geometry & | geometry | ) |
| overridevirtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [100/254]

virtual void vsg::ConstVisitor::apply | ( | const GraphicsPipeline & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [101/254]

virtual void vsg::ConstVisitor::apply | ( | const GraphicsPipelineState & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [102/254]

virtual void vsg::ConstVisitor::apply | ( | const Group & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [103/254]

virtual void vsg::ConstVisitor::apply | ( | const Image & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [104/254]

virtual void vsg::ConstVisitor::apply | ( | const ImageInfo & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [105/254]

virtual void vsg::ConstVisitor::apply | ( | const ImageView & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [106/254]

void vsg::ArrayState::apply | ( | const InputAssemblyState & | ias | ) |
| overridevirtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [107/254]

virtual void vsg::ConstVisitor::apply | ( | const InstrumentationNode & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [108/254]

virtual void vsg::ConstVisitor::apply | ( | const intArray & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [109/254]

virtual void vsg::ConstVisitor::apply | ( | const intArray2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [110/254]

virtual void vsg::ConstVisitor::apply | ( | const intArray3D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [111/254]

virtual void vsg::ConstVisitor::apply | ( | const intValue & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [112/254]

virtual void vsg::ConstVisitor::apply | ( | const ivec2Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [113/254]

virtual void vsg::ConstVisitor::apply | ( | const ivec2Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [114/254]

virtual void vsg::ConstVisitor::apply | ( | const ivec2Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [115/254]

virtual void vsg::ConstVisitor::apply | ( | const ivec3Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [116/254]

virtual void vsg::ConstVisitor::apply | ( | const ivec3Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [117/254]

virtual void vsg::ConstVisitor::apply | ( | const ivec3Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [118/254]

virtual void vsg::ConstVisitor::apply | ( | const ivec4Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [119/254]

virtual void vsg::ConstVisitor::apply | ( | const ivec4Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [120/254]

virtual void vsg::ConstVisitor::apply | ( | const ivec4Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [121/254]

virtual void vsg::ConstVisitor::apply | ( | const Joint & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [122/254]

virtual void vsg::ConstVisitor::apply | ( | const JointSampler & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [123/254]

virtual void vsg::ConstVisitor::apply | ( | const KeyEvent & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [124/254]

virtual void vsg::ConstVisitor::apply | ( | const KeyPressEvent & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [125/254]

virtual void vsg::ConstVisitor::apply | ( | const KeyReleaseEvent & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [126/254]

virtual void vsg::ConstVisitor::apply | ( | const Layer & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [127/254]

virtual void vsg::ConstVisitor::apply | ( | const Light & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [128/254]

virtual void vsg::ConstVisitor::apply | ( | const LOD & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [129/254]

virtual void vsg::ConstVisitor::apply | ( | const LookAt & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [130/254]

virtual void vsg::ConstVisitor::apply | ( | const LookDirection & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [131/254]

virtual void vsg::ConstVisitor::apply | ( | const mat4Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [132/254]

virtual void vsg::ConstVisitor::apply | ( | const mat4Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [133/254]

virtual void vsg::ConstVisitor::apply | ( | const MatrixTransform & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [134/254]

virtual void vsg::ConstVisitor::apply | ( | const MorphSampler & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [135/254]

virtual void vsg::ConstVisitor::apply | ( | const MoveEvent & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [136/254]

virtual void vsg::ConstVisitor::apply | ( | const MultisampleState & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [137/254]

virtual void vsg::ConstVisitor::apply | ( | const Node & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [138/254]

virtual void vsg::ConstVisitor::apply | ( | const Object & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [139/254]

virtual void vsg::ConstVisitor::apply | ( | const Objects & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [140/254]

virtual void vsg::ConstVisitor::apply | ( | const Orthographic & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [141/254]

virtual void vsg::ConstVisitor::apply | ( | const PagedLOD & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [142/254]

virtual void vsg::ConstVisitor::apply | ( | const Perspective & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [143/254]

virtual void vsg::ConstVisitor::apply | ( | const PointerEvent & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [144/254]

virtual void vsg::ConstVisitor::apply | ( | const PointLight & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [145/254]

virtual void vsg::ConstVisitor::apply | ( | const ProjectionMatrix & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [146/254]

virtual void vsg::ConstVisitor::apply | ( | const QuadGroup & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [147/254]

virtual void vsg::ConstVisitor::apply | ( | const QueryPool & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [148/254]

virtual void vsg::ConstVisitor::apply | ( | const RasterizationState & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [149/254]

virtual void vsg::ConstVisitor::apply | ( | const RayTracingPipeline & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [150/254]

virtual void vsg::ConstVisitor::apply | ( | const RegionOfInterest & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [151/254]

virtual void vsg::ConstVisitor::apply | ( | const RelativeProjection & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [152/254]

virtual void vsg::ConstVisitor::apply | ( | const RelativeViewMatrix & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [153/254]

virtual void vsg::ConstVisitor::apply | ( | const RenderGraph & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [154/254]

virtual void vsg::ConstVisitor::apply | ( | const RenderPass & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [155/254]

virtual void vsg::ConstVisitor::apply | ( | const ResetQueryPool & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [156/254]

virtual void vsg::ConstVisitor::apply | ( | const ResourceHints & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [157/254]

virtual void vsg::ConstVisitor::apply | ( | const ScrollWheelEvent & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [158/254]

virtual void vsg::ConstVisitor::apply | ( | const SecondaryCommandGraph & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [159/254]

virtual void vsg::ConstVisitor::apply | ( | const ShaderCompileSettings & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [160/254]

virtual void vsg::ConstVisitor::apply | ( | const ShaderStage & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [161/254]

virtual void vsg::ConstVisitor::apply | ( | const shortArray & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [162/254]

virtual void vsg::ConstVisitor::apply | ( | const shortArray2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [163/254]

virtual void vsg::ConstVisitor::apply | ( | const shortArray3D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [164/254]

virtual void vsg::ConstVisitor::apply | ( | const SpotLight & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [165/254]

virtual void vsg::ConstVisitor::apply | ( | const StateCommand & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [166/254]

virtual void vsg::ConstVisitor::apply | ( | const StateGroup & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [167/254]

virtual void vsg::ConstVisitor::apply | ( | const StateSwitch & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [168/254]

virtual void vsg::ConstVisitor::apply | ( | const stringValue & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [169/254]

virtual void vsg::ConstVisitor::apply | ( | const svec2Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [170/254]

virtual void vsg::ConstVisitor::apply | ( | const svec2Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [171/254]

virtual void vsg::ConstVisitor::apply | ( | const svec2Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [172/254]

virtual void vsg::ConstVisitor::apply | ( | const svec3Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [173/254]

virtual void vsg::ConstVisitor::apply | ( | const svec3Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [174/254]

virtual void vsg::ConstVisitor::apply | ( | const svec3Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [175/254]

virtual void vsg::ConstVisitor::apply | ( | const svec4Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [176/254]

virtual void vsg::ConstVisitor::apply | ( | const svec4Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [177/254]

virtual void vsg::ConstVisitor::apply | ( | const svec4Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [178/254]

virtual void vsg::ConstVisitor::apply | ( | const Switch & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [179/254]

virtual void vsg::ConstVisitor::apply | ( | const TerminateEvent & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [180/254]

virtual void vsg::ConstVisitor::apply | ( | const TessellationState & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [181/254]

virtual void vsg::ConstVisitor::apply | ( | const Text & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [182/254]

virtual void vsg::ConstVisitor::apply | ( | const TextGroup & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [183/254]

virtual void vsg::ConstVisitor::apply | ( | const TextLayout & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [184/254]

virtual void vsg::ConstVisitor::apply | ( | const TextTechnique & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [185/254]

virtual void vsg::ConstVisitor::apply | ( | const TouchDownEvent & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [186/254]

virtual void vsg::ConstVisitor::apply | ( | const TouchEvent & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [187/254]

virtual void vsg::ConstVisitor::apply | ( | const TouchMoveEvent & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [188/254]

virtual void vsg::ConstVisitor::apply | ( | const TouchUpEvent & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [189/254]

virtual void vsg::ConstVisitor::apply | ( | const TrackingViewMatrix & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [190/254]

virtual void vsg::ConstVisitor::apply | ( | const Transform & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [191/254]

virtual void vsg::ConstVisitor::apply | ( | const TransformSampler & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [192/254]

virtual void vsg::ConstVisitor::apply | ( | const ubvec2Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [193/254]

virtual void vsg::ConstVisitor::apply | ( | const ubvec2Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [194/254]

virtual void vsg::ConstVisitor::apply | ( | const ubvec2Array3D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [195/254]

virtual void vsg::ConstVisitor::apply | ( | const ubvec2Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [196/254]

virtual void vsg::ConstVisitor::apply | ( | const ubvec3Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [197/254]

virtual void vsg::ConstVisitor::apply | ( | const ubvec3Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [198/254]

virtual void vsg::ConstVisitor::apply | ( | const ubvec3Array3D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [199/254]

virtual void vsg::ConstVisitor::apply | ( | const ubvec3Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [200/254]

virtual void vsg::ConstVisitor::apply | ( | const ubvec4Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [201/254]

virtual void vsg::ConstVisitor::apply | ( | const ubvec4Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [202/254]

virtual void vsg::ConstVisitor::apply | ( | const ubvec4Array3D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [203/254]

virtual void vsg::ConstVisitor::apply | ( | const ubvec4Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [204/254]

virtual void vsg::ConstVisitor::apply | ( | const ubyteArray & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [205/254]

virtual void vsg::ConstVisitor::apply | ( | const ubyteArray2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [206/254]

virtual void vsg::ConstVisitor::apply | ( | const ubyteArray3D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [207/254]

virtual void vsg::ConstVisitor::apply | ( | const UIEvent & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [208/254]

virtual void vsg::ConstVisitor::apply | ( | const uintArray & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [209/254]

virtual void vsg::ConstVisitor::apply | ( | const uintArray2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [210/254]

virtual void vsg::ConstVisitor::apply | ( | const uintArray3D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [211/254]

virtual void vsg::ConstVisitor::apply | ( | const uintValue & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [212/254]

virtual void vsg::ConstVisitor::apply | ( | const uivec2Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [213/254]

virtual void vsg::ConstVisitor::apply | ( | const uivec2Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [214/254]

virtual void vsg::ConstVisitor::apply | ( | const uivec2Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [215/254]

virtual void vsg::ConstVisitor::apply | ( | const uivec3Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [216/254]

virtual void vsg::ConstVisitor::apply | ( | const uivec3Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [217/254]

virtual void vsg::ConstVisitor::apply | ( | const uivec3Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [218/254]

virtual void vsg::ConstVisitor::apply | ( | const uivec4Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [219/254]

virtual void vsg::ConstVisitor::apply | ( | const uivec4Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [220/254]

virtual void vsg::ConstVisitor::apply | ( | const uivec4Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [221/254]

virtual void vsg::ConstVisitor::apply | ( | const ushortArray & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [222/254]

virtual void vsg::ConstVisitor::apply | ( | const ushortArray2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [223/254]

virtual void vsg::ConstVisitor::apply | ( | const ushortArray3D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [224/254]

virtual void vsg::ConstVisitor::apply | ( | const usvec2Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [225/254]

virtual void vsg::ConstVisitor::apply | ( | const usvec2Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [226/254]

virtual void vsg::ConstVisitor::apply | ( | const usvec2Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [227/254]

virtual void vsg::ConstVisitor::apply | ( | const usvec3Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [228/254]

virtual void vsg::ConstVisitor::apply | ( | const usvec3Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [229/254]

virtual void vsg::ConstVisitor::apply | ( | const usvec3Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [230/254]

virtual void vsg::ConstVisitor::apply | ( | const usvec4Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [231/254]

virtual void vsg::ConstVisitor::apply | ( | const usvec4Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [232/254]

virtual void vsg::ConstVisitor::apply | ( | const usvec4Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [233/254]

virtual void vsg::ConstVisitor::apply | ( | const vec2Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [234/254]

virtual void vsg::ConstVisitor::apply | ( | const vec2Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [235/254]

virtual void vsg::ConstVisitor::apply | ( | const vec2Array3D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [236/254]

virtual void vsg::ConstVisitor::apply | ( | const vec2Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [237/254]

void vsg::ArrayState::apply | ( | const vec3Array & | array | ) |
| overridevirtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [238/254]

virtual void vsg::ConstVisitor::apply | ( | const vec3Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [239/254]

virtual void vsg::ConstVisitor::apply | ( | const vec3Array3D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [240/254]

virtual void vsg::ConstVisitor::apply | ( | const vec3Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [241/254]

virtual void vsg::ConstVisitor::apply | ( | const vec4Array & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [242/254]

virtual void vsg::ConstVisitor::apply | ( | const vec4Array2D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [243/254]

virtual void vsg::ConstVisitor::apply | ( | const vec4Array3D & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [244/254]

virtual void vsg::ConstVisitor::apply | ( | const vec4Value & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [245/254]

void vsg::ArrayState::apply | ( | const VertexDraw & | vid | ) |
| overridevirtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [246/254]

void vsg::ArrayState::apply | ( | const VertexIndexDraw & | vid | ) |
| overridevirtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [247/254]

void vsg::ArrayState::apply | ( | const VertexInputState & | vas | ) |
| overridevirtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [248/254]

virtual void vsg::ConstVisitor::apply | ( | const View & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [249/254]

virtual void vsg::ConstVisitor::apply | ( | const Viewer & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [250/254]

virtual void vsg::ConstVisitor::apply | ( | const ViewMatrix & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [251/254]

virtual void vsg::ConstVisitor::apply | ( | const ViewportState & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [252/254]

virtual void vsg::ConstVisitor::apply | ( | const WindowEvent & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [253/254]

virtual void vsg::ConstVisitor::apply | ( | const WriteTimestamp & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ apply() [254/254]

virtual void vsg::ConstVisitor::apply | ( | const wstringValue & |  | ) |
| virtual

Reimplemented from vsg::ConstVisitor.

## ◆ cloneArrayState()

virtual ref_ptr< ArrayState > vsg::ArrayState::cloneArrayState | ( |  | ) |
| inlinevirtual

clone self

Reimplemented in vsg::BillboardArrayState, vsg::DisplacementMapArrayState, vsg::NullArrayState, vsg::PositionAndDisplacementMapArrayState, and vsg::PositionArrayState.

The documentation for this class was generated from the following file:

- include/vsg/state/ArrayState.h